libobjc4_5.4.0-6ubuntu1~16.04.11_i386.deb


Advertisement

Description

libobjc4 - Runtime library for GNU Objective-C applications

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Updates Main i386
Package filename libobjc4_5.4.0-6ubuntu1~16.04.11_i386.deb
Package name libobjc4
Package version 5.4.0
Package release 6ubuntu1~16.04.11
Package architecture i386
Package type deb
Category libs
Homepage http://gcc.gnu.org/
License -
Maintainer Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 114.69 KB
Installed size 432.00 KB
Library needed for GNU ObjC applications linked against the shared library.

Alternatives

Package Version Architecture Repository
libobjc4_5.4.0-6ubuntu1~16.04.11_amd64.deb 5.4.0 amd64 Ubuntu Updates Main
libobjc4_5.3.1-14ubuntu2_amd64.deb 5.3.1 amd64 Ubuntu Main
libobjc4_5.3.1-14ubuntu2_i386.deb 5.3.1 i386 Ubuntu Main
libobjc4 - - -

Requires

Name Value
gcc-5-base = 5.4.0-6ubuntu1~16.04.11
libc6 >= 2.11
libgcc1 >= 1:3.3.1

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libobjc4_5.4.0-6ubuntu1~16.04.11_i386.deb
Source Package gcc-5

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libobjc4 deb package:
    # sudo apt-get install libobjc4

Files

Path
/usr/lib/i386-linux-gnu/libobjc.so.4
/usr/lib/i386-linux-gnu/libobjc.so.4.0.0
/usr/lib/i386-linux-gnu/libobjc_gc.so.4
/usr/lib/i386-linux-gnu/libobjc_gc.so.4.0.0
/usr/share/doc/libobjc4

Changelog

2018-08-01 - Dimitri John Ledkov <xnox@ubuntu.com>
gcc-5 (5.4.0-6ubuntu1~16.04.11) xenial; urgency=medium
* Backport upstream revision r235876 to correct PIC_OFFSET_TABLE_REGNUM
on ppc64el.
LP: #1783252
2018-06-18 - Matthias Klose <doko@ubuntu.com>
gcc-5 (5.4.0-6ubuntu1~16.04.10) xenial-security; urgency=medium
* Backport upstream revision r257489 (Spectre #2 mitigation for s390x).
LP: #1759152.
2018-02-05 - Steve Beattie <sbeattie@ubuntu.com>
gcc-5 (5.4.0-6ubuntu1~16.04.9) xenial-security; urgency=medium
* Revert retpoline changes of ppc64el as per the recommendation from
Bill Schmidt of IBM.
- ppc-add-mspeculate-indirect-jumps: drop.
2018-01-26 - Steve Beattie <sbeattie@ubuntu.com>
gcc-5 (5.4.0-6ubuntu1~16.04.8) xenial-security; urgency=medium
* Add retpoline support for x86 via adding -mindirect-branch=,
-mindirect-branch-register, and -mfunction-return= support
- 0001-i386-Move-struct-ix86_frame-to-machine_function.diff,
0002-i386-Use-reference-of-struct-ix86_frame-to-avoid-cop.diff,
0003-i386-More-use-reference-of-struct-ix86_frame-to-avoi.diff,
0004-i386-Don-t-use-reference-of-struct-ix86_frame.diff,
0005-x86-Add-mindirect-branch.diff,
0006-x86-Add-mfunction-return.diff,
0007-x86-Add-mindirect-branch-register.diff,
0008-x86-Add-V-register-operand-modifier.diff,
0009-x86-Disallow-mindirect-branch-mfunction-return-with-.patch:
implement -mindirect-branch=<keep|thunk|thunk-inline|thunk-extern>
with attribute support, -mindirect-branch-register, and
-mfunction-return=<thunk|thunk-inline|thunk-extern> with
attribute support. Thanks to H.J. Lu.
* Add retpoline support for ppc64 via adding
-mspeculate-indirect-jumps support
- ppc-add-mspeculate-indirect-jumps: implement
-mspeculate-indirect-jumps. Thanks to Bill Schmidt.
2018-01-16 - dann frazier <dannf@ubuntu.com>
gcc-5 (5.4.0-6ubuntu1~16.04.6) xenial; urgency=medium
* Add thunderx2 support. LP: #1727540.
2017-08-23 - Matthias Klose <doko@ubuntu.com>
gcc-5 (5.4.0-6ubuntu1~16.04.5) xenial-proposed; urgency=medium
* SRU
* Fix PR target/77267 (x86), taken from the trunk. LP: #1623418.
* Fix hangs w/ asan binaries on arm64 (Dann Frazier). LP: #1709727.
* Linaro branch only: Fix PR target/79041, aarch64 backend emitting
R_AARCH64_ADR_PREL_PG_HI21 relocation despite -mpc-relative-literal-loads
option being used (Dan Frazier). LP: #1695093.
2016-11-02 - Matthias Klose <doko@ubuntu.com>
gcc-5 (5.4.0-6ubuntu1~16.04.4) xenial-security; urgency=medium
* SRU
- Fix PR target/72863, redundant swaps when using vec_vsx_ld/st,
taken from the gcc-5 branch. LP: #1638055.
- Fix PR rtl-optimization/71709, taken from the gcc-5 branch. LP: #1628207.
2016-08-04 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
gcc-5 (5.4.0-6ubuntu1~16.04.2) xenial-security; urgency=medium
* No change rebuild for the security pocket.
2016-07-04 - Matthias Klose <doko@ubuntu.com>
gcc-5 (5.4.0-6ubuntu1~16.04.1) xenial-proposed; urgency=medium
* SRU: LP: #1586673. Backport GCC 5.4 to 16.04 LTS.
* Revert a libstdc++ header reorg done after the 5.3.0 release.
* Add AArch64 Vulcan cpu support, backport from trunk. LP: #1594452.
* Revert a libstdc++ header reorg done after the 5.3.0 release (only for
OS releases including a GCC 5 at release time).
* Fixes C++ ICE. LP: #1593608.
2016-07-01 - Matthias Klose <doko@ubuntu.com>
gcc-5 (5.4.0-6ubuntu1) yakkety; urgency=medium
* Merge with Debian; remaining changes:
- Build from upstream sources.

See Also

Package Description
libopenipmi-dev_2.0.18-0ubuntu11.2_i386.deb Intelligent Platform Management Interface - development
libopenipmi0_2.0.18-0ubuntu11.2_i386.deb Intelligent Platform Management Interface - runtime
libopenobex2-dev_1.7.1-5ubuntu0.1_i386.deb OBEX protocol library - development files
libopenobex2_1.7.1-5ubuntu0.1_i386.deb OBEX protocol library
libopenvg1-mesa-dev-lts-utopic_13_i386.deb Transitional package for libopenvg1-mesa-dev-lts-utopic
libopenvg1-mesa-lts-utopic_13_i386.deb Transitional package for libopenvg1-mesa-lts-utopic
libosmesa6-dev_18.0.5-0ubuntu0~16.04.1_i386.deb Mesa Off-screen rendering extension -- development files
libosmesa6_18.0.5-0ubuntu0~16.04.1_i386.deb Mesa Off-screen rendering extension
libotp0-heimdal_1.7~git20150920+dfsg-4ubuntu1.16.04.1_i386.deb Heimdal Kerberos - OTP support library
liboxideqt-qmlplugin_1.21.5-0ubuntu0.16.04.1_i386.deb Web browser engine for Qt (QML plugin)
liboxideqtcore-dev_1.21.5-0ubuntu0.16.04.1_i386.deb Web browser engine for Qt (development files for core library)
liboxideqtcore0_1.21.5-0ubuntu0.16.04.1_i386.deb Web browser engine for Qt (core library and components)
liboxideqtquick-dev_1.21.5-0ubuntu0.16.04.1_i386.deb Web browser engine for Qt (development files for QtQuick library)
liboxideqtquick0_1.21.5-0ubuntu0.16.04.1_i386.deb Web browser engine for Qt (QtQuick library)
libp11-kit-dev_0.23.2-5~ubuntu16.04.1_i386.deb library for loading and coordinating access to PKCS#11 modules - development
Advertisement
Advertisement